package com.kmall.api.service.mk;

import com.kmall.api.dao.mk.ApiMkStorePromVisitorsMapper;
import com.kmall.api.entity.mk.MkStorePromVisitorsVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 门店推广渠道Service实现类
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-04-30 12:01:14
 */
@Service
public class ApiMkStorePromVisitorsService{
    @Autowired
    private ApiMkStorePromVisitorsMapper apiMkStorePromVisitorsMapper;

    public MkStorePromVisitorsVo queryObject(Integer promVisitorsId) {
        return apiMkStorePromVisitorsMapper.queryObject(promVisitorsId);
    }

    public List<MkStorePromVisitorsVo> queryList(Map<String, Object> map) {
        return apiMkStorePromVisitorsMapper.queryList(map);
    }

    public int queryTotal(Map<String, Object> map) {
        return apiMkStorePromVisitorsMapper.queryTotal(map);
    }

    public int save(MkStorePromVisitorsVo mkStorePromVisitors) {
        return apiMkStorePromVisitorsMapper.save(mkStorePromVisitors);
    }

    public int update(MkStorePromVisitorsVo mkStorePromVisitors) {
        return apiMkStorePromVisitorsMapper.update(mkStorePromVisitors);
    }

    public int delete(Integer promVisitorsId) {
        return apiMkStorePromVisitorsMapper.delete(promVisitorsId);
    }

    public int deleteBatch(Integer[]promVisitorsIds) {
        return apiMkStorePromVisitorsMapper.deleteBatch(promVisitorsIds);
    }

    public MkStorePromVisitorsVo queryObjectByPromIdAndUserId(Integer promId,Integer userId) {
        return apiMkStorePromVisitorsMapper.queryObjectByPromIdAndUserId(promId,userId);
    }

    public List<MkStorePromVisitorsVo> queryVisitorsListByPromId(Integer promId) {
        return apiMkStorePromVisitorsMapper.queryVisitorsListByPromId(promId);
    }

    public Integer queryCountByPromId(Integer promId) {
        return apiMkStorePromVisitorsMapper.queryCountByPromId(promId);
    }
}
